(ns clojsa.saclient
  (:require [clojure.string :as string]
            [http.async.client :as http]))


(def url "https://forums.somethingawful.com/")

(defn thread-url
  ([id]
   (thread-url id 1))
  ([id page]
   (let [base-url (str url "showthread.php")
         query {:threadid id
                :pagenumber page}]
     {:href base-url :params query})))

(defn thread-response [session url]
  (with-open [client (http/create-client)]
    (let [{:keys [href params]} url
          resp (http/GET client href :query params)
          status (http/status resp)
          headers (http/headers resp)]
      (-> resp
          http/await
          http/string))))
